<p>comp1 works!</p>
<p>Hello</p>
<h1>heading</h1>

<ng-template [ngIf]="template">
  <div>ng-template</div>
</ng-template>

<ng-container *ngIf="arraydisplay">
  <div *ngFor="let arr of array">
    {{ arr }}
  </div>
</ng-container>

<ng-container *ngTemplateOutlet="template1"> Hello </ng-container>
<ng-template #template1>
  <div>template1</div>
</ng-template>

<app-comp2>
  <div>This is div</div>
  <p>This is p</p>
</app-comp2>

<form>
  <input type="text" [formControl]="input" (input)="inputOnChange($event)" />
  <!-- <div *ngIf="ngControl.control.invalid">
    Please {{ ngControl.control.invalid }}
  </div> -->
</form>
<p>{{ inputValue }}</p>
